//
//  SelectPlayerView.swift
//  DouShouQi_App
//
//  Created by nathan on 23/05/2024.
//

import SwiftUI

struct SelectPlayerView: View {
    var body: some View {
        VStack {
            ZStack {
                Image("title-background")
                   .resizable()
                   .aspectRatio(contentMode: .fit)
                   .frame(width: 250, height: 250)
                        
                Text("Select Your Player")
                    .font(.largeTitle)
                    .foregroundColor(.black)
                    .bold()
            }
            
            SelectPlayerButtonView()

            Spacer()
            HStack {
                Spacer()
                VStack(alignment: .trailing)
                {
                    ButtonView(button1Title: "Start")
                    ButtonView(button1Title: "Setting")
                }
            }
            Spacer()
        }
    }
}

struct SelectPlayerViewPreviews: PreviewProvider {
    static var previews: some View {
        SelectPlayerView()
    }
}
