//
//  TitlePageFrame.swift
//  DouShouQi_App
//
//  Created by Rémi REGNAULT on 16/05/2024.
//

import SwiftUI

struct TitlePageFrame: View {
    
    // Image Params
    var ImageWidth: CGFloat
    var ImageHeight: CGFloat
    
    var body: some View {
        VStack(alignment: .leading) {
            ZStack {
                Image(AppImages.TitleImage)
                    .resizable()
                    .aspectRatio(contentMode: .fit)
                    .frame(width: ImageWidth, height: ImageHeight)
                
                Text(/*@START_MENU_TOKEN@*/"Hello, World!"/*@END_MENU_TOKEN@*/)
                    .textStyle(T: TextStyles.ViewTitle)
                
            }
        }
    }
}

struct TitlePageFrame_Previews: PreviewProvider {
    static var previews: some View {
        TitlePageFrame(ImageWidth: 200, ImageHeight: 200)
    }
}
